package mg.dot.feufaro
import java.io.File

actual fun getConfigDirectoryPath(): String {
    val userHome = System.getProperty("user.home")

    //Créer  ..Documents\Feufaro
    val documentsPath = File(userHome, "Documents")
    val feufa2Folder = File(documentsPath, "Feufaro")

    if (!feufa2Folder.exists()) {
        val created = feufa2Folder.mkdirs()
        if (created) {
            println("CP:15: Dossier créé avec succès : ${feufa2Folder.absolutePath}")
        }
    }
    val path = feufa2Folder.absolutePath
    return if (path.endsWith(File.separator)) path else path + File.separator   /* avec '/' à la fin */
}